%define		_state		stable
%define		orgname		kalgebra

Summary:	K Desktop Environment - Mathematical calculator
Name:		kde4-kalgebra
Version:	4.9.0
Release:	1
License:	GPL
Group:		X11/Applications
Source0:	ftp://ftp.kde.org/pub/kde/%{_state}/%{version}/src/%{orgname}-%{version}.tar.xz
# Source0-md5:	c3b668332831cd8f6672891443ffab8b
URL:		http://www.kde.org/
BuildRequires:	OpenGL-devel
BuildRequires:	kde4-analitza-devel >= %{version}
BuildRequires:	kde4-kdelibs-devel >= %{version}
BuildRequires:	kde4-libkdeedu-devel >= %{version}
BuildRequires:	readline-devel
Obsoletes:	kde4-kdeedu-kalgebra < 4.6.99
Obsoletes:	kalgebra < 4.8.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
KAlgebra is a mathematical calculator based on MathML content markup
language.

%prep
%setup -q -n %{orgname}-%{version}

%build
install -d build
cd build
%cmake \
	..
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build/ install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir}

%find_lang %{orgname} --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{orgname}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kalgebra
%attr(755,root,root) %{_bindir}/kalgebramobile
%{_desktopdir}/kde4/kalgebra.desktop
%attr(755,root,root) %{_libdir}/kde4/plasma_applet_kalgebra.so
%{_datadir}/kde4/services/kalgebraplasmoid.desktop
%{_iconsdir}/hicolor/*x*/apps/kalgebra.png
%{_iconsdir}/hicolor/scalable/apps/kalgebra.svgz
%{_datadir}/apps/katepart/syntax/kalgebra.xml
%{_desktopdir}/kde4/kalgebramobile.desktop
%{_datadir}/apps/kalgebramobile
%changelog
* Sun Aug 26 2012 Paweł Sikora <pawel.sikora@agmk.net> aa71bb6
updated to 4.9.0.

* Sat Jan 21 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> a1a1ce7
- rel 2; BR kde4-libkdeedu-devel

* Sat Jan 21 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 4dd935b
- up to 4.8.0; now as kde-kalgebra

* Fri Nov 25 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> d504407
- up to 4.7.3

* Wed Sep 28 2011 Szymon Siwek <sls@pld-linux.org> 7a7289f
- updated Source0-md5

* Sun Sep 25 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> b24dc36
- rel 2

* Tue Sep 13 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> dfae887
- up to 4.7.1

* Wed Aug 03 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> be7c1f2
- up to 4.7.0

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 8afbcde
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 2751bfe
- converted to UTF-8

* Tue May 02 2006 shadzik <shadzik@pld-linux.org> bd3abae
- up to 0.5 snap 20060501
- de

* Mon Jan 30 2006 ankry <ankry@pld-linux.org> 1c6ef33
- pl, killl empty translations

* Mon Jan 30 2006 ankry <ankry@pld-linux.org> cb2cd0b
- update to 0.4.1 by Robert Tomasik

* Mon Jan 30 2006 ankry <ankry@pld-linux.org> 7b8ccd1
- new, by Robert Tomasik

* Mon Oct 10 2005 Jakub Bogusz <qboosh@pld-linux.org> 981a6c7
- pl

* Sun Oct 09 2005 Adam Gołębiowski <adamg@pld-linux.org> f51c648
- new

